// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UEdGraphSchema_K2.h"
#include "EdGraphSchema_K2.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UEdGraphSchema_K2::SCW_UEdGraphSchema_K2(UEdGraphSchema_K2* InEdGraphSchema_K2) : SCW_UEdGraphSchema(InEdGraphSchema_K2), EdGraphSchema_K2(InEdGraphSchema_K2)
{

}

UEdGraphSchema_K2* SCW_UEdGraphSchema_K2::ToUEdGraphSchema_K2() const
{
	return EdGraphSchema_K2;
}

ISCW_UEdGraphSchema_K2Ptr SCW_UEdGraphSchema_K2::ToUEdGraphSchema_K2Ptr()
{
	return GetSharedThisAs<SCW_UEdGraphSchema_K2>();
}

ISCW_UEdGraphSchema_K2ConstPtr SCW_UEdGraphSchema_K2::ToUEdGraphSchema_K2Ptr() const
{
	return GetSharedThisAs<SCW_UEdGraphSchema_K2>();
}